<script lang="ts" setup>
import { ref } from 'vue'
import { useMemberStore } from '@/stores/member'
import { useReceiptStore } from '@/stores/receipt'
import FindMemberbtn from '@/components/MemberComponent/FindMemberbtn.vue'
import AddMemberbtn from '@/components/MemberComponent/AddMemberbtn.vue'
import PromotionBtn from '@/components/PromotionComponent/PromotionBtn.vue'
import { usePromotionStore } from '@/stores/Promotion'

const memberStore = useMemberStore()
const receiptStore = useReceiptStore()
const promotionStore = usePromotionStore()

const tab = ref(null)
</script>
<template>
  <v-card color="rgba(114, 87, 42, 1)">
    <v-tabs v-model="tab" bg-color="rgba(75, 56, 42, 1)">
      <v-tab value="Member">Member</v-tab>
      <v-tab value="Promotion">Promotion</v-tab>
    </v-tabs>

    <v-card-text>
      <v-window v-model="tab">
        <v-window-item value="Member">
          <v-container>
            <v-row>
              <v-col>
                <!-- Add New member -->
                <AddMemberbtn></AddMemberbtn>
              </v-col>
              <v-col>
                <!-- Find Member -->
                <FindMemberbtn></FindMemberbtn>
              </v-col>
            </v-row>
          </v-container>
        </v-window-item>

        <v-window-item value="Promotion">
          <v-container>
            <v-row>
              <PromotionBtn></PromotionBtn>
            </v-row>
          </v-container>
        </v-window-item>
      </v-window>
    </v-card-text>
  </v-card>
</template>
